[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDBDataset.DataBase

Database this dataset is connected to

## Declaration

Source position: db.pas line 1837

`public property TDBDataset.DataBase : TDataBase read FDatabase write SetDatabase;`

## Description

Database should be set to the TDatabase instance this dataset is connected to. It can only be set when the dataset is closed.

Descendent classes should check in the property setter whether the database instance is of the correct class.

## Errors

If the property is set when the dataset is active, an EDatabaseError exception will be raised.

## See also

TDatabase |  | Base class for connecting a FreePascal application to an external Database engine
TDBDataset.Transaction |  | Transaction in which this dataset is running.

Documentation generated on: Feb 26 2014